void
input_cone_node (Node * node)
{
  if (node->mark)
    return;
  node->mark = 1;
  switch (node->tag)
    {
    case CONST:
      break;
    case VAR:
      printf ("variable %d in input cone\n", node->data.idx);
      break;
    case NOT:
      input_cone_node (node->data.child[0]);
      break;
    default:			/* assume binary operator */
      input_cone_node (node->data.child[0]);
      input_cone_node (node->data.child[1]);
      break;
    }
}
